test: tagGENERIC_DEVICE_INFO struct Reference

Main Page | Class Hierarchy | Class List | File List | Class Members | File Members

# tagGENERIC_DEVICE_INFO Struct Reference

`#include <userk.h>`

List of all members.

## Public Attributes

tagDEVICEINFO * | pNext
BYTE | type
BYTE | bFlags
USHORT | usActions
BYTE | nRetryRead
UNICODE_STRING | ustrName
HANDLE | handle
PVOID | NotificationEntry
PKEVENT | pkeHidChangeCompleted
IO_STATUS_BLOCK | iosb
NTSTATUS | ReadStatus
HANDLE | OpenerProcess
NTSTATUS | OpenStatus
NTSTATUS | AttrStatus
ULONG | timeStartRead
ULONG | timeEndRead
int | nReadsOutstanding

## Member Data Documentation

NTSTATUS tagGENERIC_DEVICE_INFO::AttrStatus

| Definition at line 1886 of file userk.h.

BYTE tagGENERIC_DEVICE_INFO::bFlags

| Definition at line 1874 of file userk.h.

HANDLE tagGENERIC_DEVICE_INFO::handle

| Definition at line 1878 of file userk.h.

IO_STATUS_BLOCK tagGENERIC_DEVICE_INFO::iosb

| Definition at line 1881 of file userk.h.

PVOID tagGENERIC_DEVICE_INFO::NotificationEntry

| Definition at line 1879 of file userk.h.

int tagGENERIC_DEVICE_INFO::nReadsOutstanding

| Definition at line 1889 of file userk.h.

BYTE tagGENERIC_DEVICE_INFO::nRetryRead

| Definition at line 1876 of file userk.h.

HANDLE tagGENERIC_DEVICE_INFO::OpenerProcess

| Definition at line 1884 of file userk.h.

NTSTATUS tagGENERIC_DEVICE_INFO::OpenStatus

| Definition at line 1885 of file userk.h.

PKEVENT tagGENERIC_DEVICE_INFO::pkeHidChangeCompleted

| Definition at line 1880 of file userk.h.

struct tagDEVICEINFO* tagGENERIC_DEVICE_INFO::pNext

| Definition at line 1872 of file userk.h.

NTSTATUS tagGENERIC_DEVICE_INFO::ReadStatus

| Definition at line 1882 of file userk.h.

ULONG tagGENERIC_DEVICE_INFO::timeEndRead

| Definition at line 1888 of file userk.h.

ULONG tagGENERIC_DEVICE_INFO::timeStartRead

| Definition at line 1887 of file userk.h.

BYTE tagGENERIC_DEVICE_INFO::type

| Definition at line 1873 of file userk.h.

USHORT tagGENERIC_DEVICE_INFO::usActions

| Definition at line 1875 of file userk.h.

UNICODE_STRING tagGENERIC_DEVICE_INFO::ustrName

| Definition at line 1877 of file userk.h.

The documentation for this struct was generated from the following file:

- userk.h